<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_c240fbf9" . "dae3f14bb" . "9192babf3" . "ef6731" => base64_decode("ZGF0ZV" . "9tb2Rp" . "ZmllZA" . "=="), "_121c102c9c9ad9bf6" . "1745404c146312c" => base64_decode("d29ya2Zsb3dfc2VsZW" . "N0"), "_aa7e860da1acd4e767e0df9d7d40" . "7380" => base64_decode("ZGF0ZV9" . "jcmVhdG" . "Vk"), "_f457e60" . "4fe9e77b" . "3f884b01" . "3afe0c10" . "c" => base64_decode("Y3N2X2V4cG" . "9ydA=="), "_8f06554776135669af" . "1f9fe2598af4dc" => base64_decode("V29ya2" . "Zsb3c="), "_21977da3ae64465" . "ec85f89dfb0b6dcf" . "2" => base64_decode("ZG9jdW1lbnRzLmhlYW" . "Rlci5wcm9jZXNzZWRf" . "ZG9jdW1lbnRz"), "_52ff3d2c2e521e8" . "d4e39bc762ea72a7" . "0" => base64_decode("UHJvY2V" . "zc2VkIG" . "RvY3VtZ" . "W50cw=="), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZ" . "w=="), "_3893085d5d4dd5f7f800" . "42847fc8fd66" => base64_decode("Y29tbW9uLmhlYWRlci53b3J" . "rZmxvdw=="), "_1d81e4078b112d9a9d9f9dd21fea4" . "460" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXNzZXMvV0ZTdGF0LnBoc" . "A=="));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1d81e4078b112d9a9d9f9d" . "d21fea4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c240fbf9dae3f14bb9192babf3" . "ef6731"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aa7e860da1acd4e767e0df9d7d4" . "07380"], $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f457e604fe9e77b3f884" . "b013afe0c10c"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_121c102c" . "9c9ad9bf6" . "1745404c1" . "46312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8f06554776135669af1f9fe2598af4d" . "c"], $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3893085d" . "5d4dd5f7f" . "80042847f" . "c8fd66"])), array($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_52ff3d2c2e521e8d4e39bc762ea7" . "2a70"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_21977da3ae64465ec85f89df" . "b0b6dcf2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}